=== Version 1.5.80 -- 16-Jul-2016 ===
* Migrated to Qt and KDE Frameworks 5 (config files are migrated first time)
* Add Friendica microblog based on GNU Social api
* Rename StatusNet microblog as GNU Social
* Twitter: fix user lists loading [BUG:345641]
* Twitter: allow to select any follower when sending a direct message
* Twitter: fix searches by username
* Twitter: fix searches by hashtag
* Twitter: show original retweet time [BUG:343438]
* Twitter: fix external URL to access direct messages and tweets
* Twitter: send direct message without text limits
* Twitter: support to send and view tweets with quoted text
* Twitter: allow to delete direct messages
* Twitter: always show 'Mark as read' button
* GNU Social: fix medium attachment to post
* GNU Social: allow to send direct messages
* Pump.IO: do not show resend button for own posts
* Pump.IO: display avatar image in own posts on the right
* Pump.IO: do not create a post if there's no text
* Fix removal of accounts with spaces in their name
* Add scalable versions of Choqok icon
* Check the result of external URL opening to report any failure [BUG:347525]
* Fixed a bug that overwrite an account with the same alias if you use the same alias
* Do not allow to send quick posts with no text
* Always use HTTPS when available
* ImageView: dropped Twitpic and Tweetphoto support (service are dead)
* A couple of segmentation fault fixes

=== Version 1.5 -- 25-Jan-2015 ===
* Yourls plugin fixed. (by Benjamin Marwell) [BUG:265219]
* Pump.io plugin added. (by Andrea Scarpino) [BUG:319348]
* Preview of images posted via Twitter.com added. (by Daniel Kreuter) [BUG:299433]
* Option to disable system tray. (by Andrea Scarpino) [BUG:241152]
* Twitter friend list update fixed. [BUG:325071]
* Add "Report User" to User menu Actions (by Ahmed I. Khalil)
* Get custom char limit for the Status.net accounts. (by Andrea Scarpino) [BUG:283298]
* Goo.gl shortner plugin fixed. (by Andrea Scarpino) [BUG:338917]
* New plugin for expanding tiny URLs. (by Andrea Scarpino) [BUG:294600]
* KDE Telepathy support in IMStatus Plugin (by Ahmed I. Khalil) [BUG:301702]
* Broken shortening plugins removed

=== Version 1.4 -- 01-Sep-2013 ===
* Fix in font size
* Fix in shortening Urls comming from konqueror
* New icons and splash screen
* Twitter API v1.1 support (Daniel Kreuter)
* "mark timeline as read" menu item added to tabs context menu (Lim Yuen Hoe)
* Show "in reply to" in twitter search timelines (Lim Yuen Hoe)
* Identi.ca support removed from StatusNet plugin, we still support StatusNet

New Plugin:
    - BetterNotify to notify statuses based on user preference

=== Version 1.3 -- 05-Apr-2012 ===
* Support for Twitter photo upload API method (by Atanas Gospodinov)
* Translator plugin shuts off due Google terminated its free API.
* Toolbar for Choqok
* Filter plugin new feature: Add a filter to Highlight a post containing some text. [FEATURE:278529]
* Improvements in new tab bar UI.
* Show first 4 characters of search timeline name over the timeline icon [FEATURE:287687]

=== Version 1.2 -- 01-Nov-2011 ===
* New TabBar UX for timelines inside an account. (Bardia Daneshvar)
* Replying to USERNAME notice under composer widget.
* A hyperlink (original post) added when a post is translated, So, User can restore post to original one! (FEATURE:270617)
* Global menu, When the menubar is hidden!
* Donate button in special menu and help menu
* is.gd statistics support.
* Font customization option.
* Better conversation view like new identica.
* Untiny plugin: Expanding twitter urls that shortened twice
* Untiny plugin: Support for untiny.com service removed.
* Several bug fixes.

=== Version 1.1 -- 2-Apr-2011 ===
* System tray icon problem in Gnome fixed.
* Hide Menu-bar option.
* Choqok caches posts automatically and not just at exit!
* Annoying video preview plugin problem that causes Choqok to crash fixed!
* Bug fixes: 243368, 250774, 237265, 265013, 267852, 268128, 264255, 267878

New Plugins:
    - Translator plugin
    - Quick (local) Filter (Farhad Hedayati Fard)

=== Version 1.0 -- 27-Jan-2011 ===
* Bug fixes

=== Version 0.9.98 (1.0 RC1) -- 06-Dec-2010 ===
* Twitter Lists support in Choqok [FEATURE:216249]
* Option to show timelines in reverse order [FEATURE:241743]
* Additional action in input boxes' context menu that will shorten all selected URLs or all URLs if there's no selection.
* "Hide Post" option for post widgets.
* BiDi support is back.
* Whois widget redesigned.
* Support for Twitgoo service in imagepreview plugin. (Alex Infantes)
* Digg shortener plugin removed.
* Support for LibIndicate to use as an alternate notification system. (It's Optional)
* Send reply to original author of repeated posts + cc to repeater.
* And so many fixes and improvements around current functionalities.

New Plugins:
    - OCS Plugin to support "Open Collaboration Services API" provided by opendesktop.org and its partners
    - IMStatus plugin to set your post as current status in IM clients (Kopete, Pidgin, PSI, Skype)
    - Twitgoo image uploader
    - Mobypicture uploader
    - Posterous uploader

=== Version 0.9.92 (1.0 Beta4) -- 15-Oct-2010 ===
* Prevent shortening process to freeze UI
* Won't show the ☛ sign for tags or groups in StatusNet accounts, using the menu solution like @username
* "Configure Notifications" in Settings menu.
* Twitpic plugin fixed to work with new OAuth way.
* "Reply to USER", "Write to USER", "Reply to all" actions added to reply button menu.
* New look for Whois dialog.
* Dictionary switcher in text input fields via context menu.
* StatusNet: Support for parsing @user@server
* StatusNet: Infos for users across multiple status.net servers
* Filter plugin: Option to just show own replies or just show replies to my friends added
* Image Preview plugin: Support for img.ly and Plixi(By Alex Infantes)

New Plugins:
    - ImageShack uploader (Just image uploading)
    - Flickr uploader (Just image uploading)

Dev:
    - add new/specific KAction to PostWidget (for Plugins)

Plugins removed:
    - u.nu shortner, due its service discontinued
    - YFrog uploader (temporary)

=== Version 0.9.90 (1.0 Beta3) -- 1-Sep-2010 ===
* Better nick name detection
* Better URL detection
* Fetching Friends List problem fixed
* UnTiny plugin can use untiny.com service instead of its generic way (Configurable)
* Using the Choqok way to show repeated dents/tweets made optional (Default is Twitter way)
* Confirm dialog for Retweet
* When KWallet isn't availabe, Will store sercrets in text files (Not plain text, Base64)

New Shortener Plugins:
    - TinyArrows (By Andrey Esin)
    - Bit.ly (By Andrey Esin)

=== Version 0.9.85 (1.0 Beta2) -- 15-Aug-2010 ===
* Proxy configuration
* Using new KDE Tray Icon
* Ctrl+P shortcut (Quick Post) removed and it's function merged with Ctrl+Z
* Revised posts look
* Uploader plugin system added.
* Better failure detection on TwitterApi
* Marking outbox and favorite posts as read
* Support for Amarok, JuK, Exaile, Rhythmbox, Audacious, Dragon Player, Qmmp, VLC, Banshee and any other MPRIS compatible player in "Now Listening" plugin (By Ramin Gomari & Andrey Esin).
* File attachment function added to QuickPost (Using global uploader dialog).
* Complete support for ReTweet/Repeat function.
* Support for Tweetphoto in ImagePreview plugin (By Alexandro Infantes)
* Nick auto-completion implemented per account base. (Available in main window input boxes)
* Additional actions for User menu: Reply, Send Private Message, Subscribe/UnSubscribe, Block
* Better URL detection (By Andrey Esin)
* D-Bus Interface (By Emanuele Bigiarini)
* A konqueror plugin to use choqok directly (post selected text, shorten_url_onpaste on/off, share link & upload media servicemenus (By Emanuele Bigiarini)
* OAuth support for Twitter and Identica authentication. (Using QOauth Lib)
* Option for "Remove http:// from shortened URL".

* New Plugins:
    - Post Filtering (To filter out unwanted posts)
    - Preview Videos (Supports YouTube and Vimeo) (By Emanuele Bigiarini)

* New Shortener Plugins:
    - ur.ly (A free [Apache 2.0 licensed] URL shorting service) (By Scott Banwart)
    - u.nu (By Timothy Redaelli)
    - urls.io (By Boris Tsirkin)
    - goo.gl (By Andrey Esin)
    - 3.ly (By Andrey Esin)

* Uploader Plugins:
    - TwitPic
    - YFrog

=== Version 0.9.55 (1.0 Beta1) -- 07-Mar-2010 ===
* Actions to subscribe/unsubscribe and block a user, added to User menu.
* Splash screen on startup.
* "Attach media" button for StatusNet (Identi.ca) posts! Note: This feature is available in StatusNet >=0.9.x
* Ability to select which timelines to show. (per account)
* Favorite and Public timelines added to Available timelines for Twitter and Identica Accounts! (Disabled by default)
* Ability to see a conversation thread in a separate window (Just like 0.6.6)
* Saving search tabs and re-open them after restart!
* Show user's posts avatar at right instead of left! To distinguish them easier.
* Saving read/unread status of posts on exit.
* Selectable ReTweet prefix.
* Configure and About options for shortener plugins!
* And many improvements and bug fixes.

* New Plugins:
    - "ImagePreview" plugin to show a preview for images. (Currently: Twitpic.com and YFrog.com)
    - "Twitpic" plugin to upload and share photos on Twitpic.com service!

* New Shortener Plugins:
    - ur1.ca (Bhaskar Kandiyal)
    - Yourls shortener plugin! (Marcello Ceschia)


=== Version 0.9.4 (1.0 Alpha2) -- 15-Oct-2009 ===
* Search API embedded into main window.
* "Who is" dialog added again, with support for Subscribe/Unsubscribe and Block a user!
* UnTiny plugin implemented.
* Shortener plugin for Is.gd. (Felix Rohrbach)
* "Open in web browser" symbol changed to ☛
* Option for changing "exclamation mark" on group names, when re-sending a post on StatusNet to prevent Spamming!


=== Version 0.9.1 (1.0Alpha1) -- 13-Sep-2009 ===
** The whole design have changed. And now, Choqok supports plugins for more Microblog services.
 * Missed features since latest stable:
    - Search API support.
    - Notification for incoming posts.
    - "Who is" and unTiny
    - TwitPic


=== Version 0.6.6 -- 07-Aug-2009 ===
* Icon improved and made greenish. (Roozbeh Shafiee)
* Ability to follow a thread (Or option to see all previous posts of a conversation) (Tejas Dinkar)
* Ability to resolve a TinyURL into a regular URL on url tooltip. (Tejas Dinkar)
* Replaced RT for ReTweet function by ♻-Symbol.
* Identica hashtag search problem fixed and works again. (And it's a full text search like Twitter custom)
* cycle through accounts using the scroll wheel on the system tray icon (Daniel Schaal)


=== Version 0.6.1 -- 13-Jun-2009 ===
* Fix for Twitter new situation. (status number exceeded int size) (Tejas Dinkar)


=== Version 0.6 -- 22-May-2009 ===
* Add support for smilies in texts.
* Add support for ReTweet function.
* Twitpic.com integration added, Posting to it and showing a thumbnail of it's pictures.
* Posting "Currently listening to ..." text for Amarok 2.X Player implemented!
* Option to use a custom browser instead of kde default implemented! (For Gnome users)
* Ability to abort posting new status.
* A "Who is ..." item added to user menu, to see Bio/Url and name of a user.
* Support for Digg.com shorturls service added.
* Better support for right to left languages, And users who use multiple languages with different directions.
* Image caching improved and some related bugs fixed.
* + bug fix and other improvements.


=== Version 0.5 -- 21-Mar-2009 ===
 * Twitter.com search API implemented. (Stephen Henderson)
 * Identi.ca search API implemented. (Stephen Henderson)
 * Integration of search facilities in MainWindow. and less need of using web browser. (Daniel Schaal)
 * Support for Laconica websites implemented.
 * Showing base status of a reply status on Choqok window.
 * Icon updated.
 * Many improvements on UI. (Daniel Schaal)
 * Support for shortening urls on paste. (Stephen Henderson)
 * + bug fix and other improvements.


=== Version 0.4 -- 12-Feb-2009 ===
 * Support for all functionalities of “Direct Messages” implemented.
 * support for recognizing link of Identi.ca’s Tags and Groups implemented.
 * First run wizard.
 * Ability to Enable/Disable Notifications and Updating time-lines via system tray context menu.
 * Support for TightURL (a free url shortening service) implemented.
 * Support for using secure connections (HTTPS) is Back, it was disabled because the Identi.ca server doesn’t support it before.
 * The “Quick Tweet” widget will remember its size.
 * A global shortcut (Meta+Ctrl+C) sets for Toggle mainwindow visibility.
 * Result of posting new status with Quick Tweet, will effect on system tray Icon.
 * Add “Mark All As Read” action to the File Menu. (Thanks to “Casey Link” for patch)
 * An “in reply to” link added to sign of reply statuses, and @USER links points to user account (Instead of main notice/status)
 * Bunch of known bugs fixed.


=== Version 0.3 -- 11-Jan-2009 ===
 * Support for Multiple Accounts implemented.
 * Support for Identi.ca service implemented. (Using its Twitter compatible API)
 * Some information about user and Links added to User Interface via tooltips.
 * The shape of post new status field on mainWindow changed to be more user friendly and more usable.
 * Ability to Post new status to All available accounts implemented on Quick tweet tool.
 * KWallet integration implemented.
 * Media files manager improved.
 * Support for Enabling or Disabling Spell checker by a shortcut key on new Tweet fields added. (Ctrl+S)
 * Some reported and known bugs fixed.


=== Version 0.2 -- 01-Jan-2009 ===
 * Fetching User Images moved to background and make it asynchronous.
 * Support for batch notifying added.
 * Support for using secure connection (HTTPS) added.
 * Support for KNotification implemented.
 * Source code issues reported by Krazy fixed.
 * Bug fix on saving statuses list.
 * Support for shortening urls with more than 30 characters implemented.
 * The back-end functions migrated to KIO library.


=== Version 0.1 -- 24-Dec-2008 ===
 * Initial version.
